---
title: Alina Vitko
published: true
taxonomy:
    category: [bp2022]
    tag: [ir,qa,nlp]
    author: Daniel Hladek
---

rok začiatku štúdia: 2019

# Bakalárska práca 2022

Automatické odpovede z Wikipédie

1. Vypracujte prehľad aktuálnych metód pre generovanie odpovede na otázku v prirodzenom jazyku.
2. Vypracujte prehľad voľne použiteľných systémov pre generovanie odpovede na otázku v prirodzenom jazyku. Porovnajte ich možnosti.
3. Nainštalujte a vyskúšajte jeden alebo viac  existujúcich systémom pre generovanie odpovede na otázku v prirodzenom jazyku.
4. Na základe vykonaného prieskumu navrhnite systém pre generovanie odpovede na otázku v slovenskom jazyku.


## Bakalársky projekt 2021

Vytovrenie prehľadu existujúcich systémov QA.

Stretnutie 5.11.2021

- Splnené zadané úlohy z minulého týždňa, okrem nainštalovania

Stretnutie 28.10.2021

Stav:

Vypracovaný prehľad viacerých systémov QA a viacerých datasetov na QA.

Úlohy:

- Navrhnite niekoľko spôsobov prekladu výrazu question answering systems do slovenčiny. 
- napr. systémy odpovedania na otázku, systémy pre generovanie odpovede na otázku v prirodzenom jazyku.
- Vyhľadajte tieto termíny na internete.
- Nainštalujte a vyskúšajte vybraný systém
- Doplňte odkazy na odborné články do textu práce. 

Úlohy:

- [x] Doplňte odkazy na zdroje, aj do textu.
- [x] Doplňte teoretický úvod do QA.
- [x] Dopíšte informácie o datasetoch SQUAD -1.0 a 2.0. a [MRQA](https://mrqa.github.io/2019/shared).
- [x] Doplňte metodiku vyhodnotenia QA, napr. F1-precision-recall.
- [ ] Vyberte jeden systém QA, skúste ho nainštalovať a vyskúšať tak ako je.

Zásobník úloh:

- Nainštalujte si najprv balíček Anaconda.
- Prejdite si knihu https://diveintopython3.net/

Stretnutie 15.10.2021

Stav:

- Začiatok písania prehľadu QA (nie hotový).

Úlohy:

- Vyberte min. dva odborné články alebo knihy a napíšte čo ste sa z nich dozvedeli o systémoch pre generovanie odpovede na otázku v prirodzenom jazyku, Napíšte bibliografické údaje o zdroji.
- Webové stránky a blogy môžete tiež používať.
- Nájdite a opíšte čo najviac QA systémov. Začať môžete systémom DRQA.

